rapidjson::AutoUTF< CharType > Struct Template Reference

Dynamically select encoding according to stream's runtime-specified UTF encoding type. More...

`#include <encodings.h>`

## Public Types

enum | { supportUnicode = 1 }
typedef CharType | Ch

## Static Public Member Functions

template<typename OutputStream >
static RAPIDJSON_FORCEINLINE void | Encode (OutputStream &os, unsigned codepoint)
template<typename InputStream >
static RAPIDJSON_FORCEINLINE bool | Decode (InputStream &is, unsigned *codepoint)
template<typename InputStream , typename OutputStream >
static RAPIDJSON_FORCEINLINE bool | Validate (InputStream &is, OutputStream &os)

## Detailed Description

### template<typename CharType>
struct rapidjson::AutoUTF< CharType >

Dynamically select encoding according to stream's runtime-specified UTF encoding type.

Note
  This class can be used with AutoUTFInputtStream and AutoUTFOutputStream, which provides GetType().

The documentation for this struct was generated from the following file:

- include/rapidjson/encodings.h